  ---------------------------------
  -- INIT
  ---------------------------------
  --get the addon namespace
  local addon, ns = ...
  ns.cfg = {}
  local cfg = ns.cfg

  ---------------------------------
  -- CONFIG
  ---------------------------------

  --drag frame (only has strata, level and position)
  cfg.dragframe = {
    strata      = "BACKGROUND",  --frame strata
    level       = 0, --frame level
    pos         = { a1="BOTTOM", x=0, y=0, },
  }

   --sidebar right
  cfg.sidebarrightbg = {
    name        = "SideBarRight",    --has to be unique per addon
    width       = 256,
    height      = 512,
    scale       = 1,
    --alpha       = 1,
    strata      = "LOW",  --frame strata
    level       = 5, --frame level
    pos         = { a1 = "RIGHT", af = UIParent, a2 = "RIGHT", x = 0, y = 0, }, --Increase/Decrease the "x=..." to get 1 or 2 bar width. "x= 40" = 1 bar width.   Increase/Decrease the "y=..." for the height.
    texture     = {
                    file        = "Interface\\AddOns\\rBBS_Diablo3Reskin4\\media\\sidebarright.tga",
                    --strata      = "BACKGROUND", --texture strata
                    --level       = -8, --texture level
                    --color       = { r=1, g=0, b=0, a = 1, },
                    --blendmode   = "ADD",
                  },
  }

   --sidebar left
  cfg.sidebarleftbg = {
    name        = "SideBarLeft",    --has to be unique per addon
    width       = 256,
    height      = 512,
    scale       = 1,
    --alpha       = 1,
    strata      = "LOW",  --frame strata
    level       = 5, --frame level
    pos         = { a1 = "LEFT", af = UIParent, a2 = "LEFT", x = 0, y = 0, }, --Increase/Decrease the "x=..." to get 1 or 2 bar width. "x= -40" = 1 bar width.   Increase/Decrease the "y=..." for the height.
    texture     = {
                    file        = "Interface\\AddOns\\rBBS_Diablo3Reskin4\\media\\sidebarleft.tga",
                    --strata      = "BACKGROUND", --texture strata
                    --level       = -8, --texture level
                    --color       = { r=1, g=0, b=0, a = 1, },
                    --blendmode   = "ADD",
                  },
  }
  
  --bottomline texture
  cfg.healthorb = {
    name              = "HealthOrb",
    size              = 135,
    scale             = 1.16,
    classcolored      = false,
    animation         = {
                          enable          = true,
                          anim            = 0,
                          decreaseAlpha   = true,
                          multiplier      = 0.15,
                        },
    --color             = { r=1, g=1, b=0, a=1, },
    pos               = { a1="BOTTOM", x=-230, y=0, },
    --strata      = "BACKGRROUND",
    --level       = 1,

  }

  --bottomline texture
  cfg.powerorb = {
    name              = "PowerOrb",
    size              = 135,
    scale             = 1.16,
    powertypecolored  = true,
    animation         = {
                          enable          = true,
                          anim            = 0,
                          decreaseAlpha   = true,
                          multiplier      = 0.15,
                        },
    --color             = { r=1, g=1, b=0, a=1, },
    pos               = { a1="BOTTOM", x=230, y=4, },
  }

  --angel texture
  cfg.angel = {
    name        = "Angel",
    width       = 512,
    height      = 256,
    strata      = "LOW",
    level       = 5,
    scale       = 1,
    pos         = { a1="BOTTOM", x=256, y=0, },
    texture     = {
                    file        = "Interface\\AddOns\\rBBS_Diablo3Reskin4\\media\\figure_right.tga",
                  },
  }

  --demon texture
  cfg.demon = {
    name        = "Demon",
    width       = 512,
    height      = 256,
    strata      = "LOW",
    level       = 5,
    scale       = 1,
    pos         = { a1="BOTTOM", x=-256, y=0, },
    texture     = {
                    file        = "Interface\\AddOns\\rBBS_Diablo3Reskin4\\media\\figure_left.tga",
                  },
  }

  ---------------------------------
  -- CONFIG
  ---------------------------------
